Subject: Re: bug#27796: 26.0.50; elpa unsigned file archive-contents

From: Stefan Monnier <[email-masked]>
Date: Mon, 24 Jul 2017 15:51:35 -0400

>> error in process filter: Unsigned file `archive-contents' at
>> https://elpa.gnu.org/packages/ [2 times]

> Looks like http://elpa.gnu.org/packages/archive-contents.sig exists,
> but is not a valid signature file?

Hmm... works here:

    % gpg --homedir ~/.emacs.d/elpa/gnupg/ archive-contents.sig                 
    gpg: WARNING: no command supplied.  Trying to guess what you mean ...
    gpg: assuming signed data in 'archive-contents'
    gpg: Signature made lun 24 jui 2017 05:10:02 EDT
    gpg:                using DSA key CA442C00F91774F17F59D9B0474F05837FBDEF9B
    gpg: Good signature from "GNU ELPA Signing Agent <[email-masked]>" [unknown]
    gpg: WARNING: This key is not certified with a trusted signature!
    gpg:          There is no indication that the signature belongs to the owner.
    Primary key fingerprint: CA44 2C00 F917 74F1 7F59  D9B0 474F 0583 7FBD EF9B
    % 

-- Stefan